Annotationen
GET https://flowlite.eu/api/annotations/
curl --request GET \
--url 'https://flowlite.eu/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | |
| search | Optional String | Suchbegriff. |
| search_by | Optional String | Feld, in dem gesucht wird. Erlaubte Werte: name. |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: annotation_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Optional String | Sortierreihenfolge: ASC (aufsteigend) oder DESC (absteigend). |
| page | Optional Integer | Seitenzahl der Ergebnisse (Standard: 1). |
| results_per_page | Optional Integer | Anzahl Ergebnisse pro Seite. Erlaubte Werte: 10 , 25 , 50 , 100 , 250 , 500 , 1000 (Standard: 25). |
{
"data": [
{
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-04-14 06:12:09",
"datetime": "2026-04-14 06:12:09",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://flowlite.eu/api/annotations?page=1",
"last": "https://flowlite.eu/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://flowlite.eu/api/annotations?page=1"
}
}
GET https://flowlite.eu/api/annotations/{annotation_id}
curl --request GET \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-04-14 06:12:09",
"datetime": "2026-04-14 06:12:09",
"last_datetime": null
}
}
POST https://flowlite.eu/api/annotations
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | - |
| name | Erforderlich String | - |
| chart_datetime | Erforderlich String | Y-m-d H:i:s |
curl --request POST \
--url 'https://flowlite.eu/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-14 06:12:09' \
--url 'https://flowlite.eu/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-14 06:12:09' \
{
"data": {
"id": 1
}
}
POST https://flowlite.eu/api/annotations/{annotation_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| chart_datetime | Optional String | Y-m-d H:i:s |
curl --request POST \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://flowlite.eu/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \